// folder.cs
//
//  Copyright (C) 2009 Christian Eide
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//
//

using System;
using bareFTP.Preferences.Bookmarks;

namespace bareFTP.Gui.Preferences
{
	
	
	[System.ComponentModel.ToolboxItem(true)]
	public partial class folder : Gtk.Bin
	{
		BookmarkFolder bookmark;
		public event EventHandler NameChanged;
		
		public folder()
		{
			this.Build();
			this.entry1.Changed += nameChanged;
		}

		protected void nameChanged(object sender, EventArgs e)
		{
			bookmark.Name = entry1.Text;
			if(NameChanged != null)
				NameChanged(this, null);
		}
		
		public BookmarkFolder Bookmark
		{
			set
			{
				bookmark = value;
				entry1.Text = bookmark.Name;
			}
		}
	}
}
